Package org.eclipse.lemminx.extensions.xinclude

## Class XIncludeUtils

- java.lang.Object
- - org.eclipse.lemminx.extensions.xinclude.XIncludeUtils

    public class XIncludeUtils
    extends Object

XInclude utilities.

### Field Summary

Fields
`static String` `ACCEPT_ATTR`
`static String` `ACCEPT_LANGUAGE_ATTR`
`static String` `HREF_ATTR`
`static String` `PARSE_ATTR`
`static String` `XINCLUDE_ELT`
`static String` `XPOINTER_ATTR`

### Constructor Summary

Constructors
`XIncludeUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static DOMAttr` `getHref​(DOMElement element)`
`static boolean` `isInclude​(DOMElement element)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### XINCLUDE_ELT

    public static final String XINCLUDE_ELT

See Also:
  Constant Field Values

#### HREF_ATTR

    public static final String HREF_ATTR

See Also:
  Constant Field Values

#### PARSE_ATTR

    public static final String PARSE_ATTR

See Also:
  Constant Field Values

#### ACCEPT_ATTR

    public static final String ACCEPT_ATTR

See Also:
  Constant Field Values

#### ACCEPT_LANGUAGE_ATTR

    public static final String ACCEPT_LANGUAGE_ATTR

See Also:
  Constant Field Values

#### XPOINTER_ATTR

    public static final String XPOINTER_ATTR

See Also:
  Constant Field Values

### Constructor Detail

#### XIncludeUtils

    public XIncludeUtils()

### Method Detail

#### isInclude

    public static boolean isInclude​(DOMElement element)

#### getHref

    public static DOMAttr getHref​(DOMElement element)